# -*- rpm-spec -*-

Name: livecd-base
Version: 0.2
Release: alt1

Summary: setup for liveCD creation
License: GPL
Group: System/Configuration/Other

Source0: %name-%version.tar
BuildArch: noarch

PreReq: losetup mkisofs syslinux mingetty
PreReq: kernel-image-std-up

Conflicts: lilo grub

%description
This package contains various hooks processed during
creation of liveCD

%prep
%setup -qc

%install
# this path is hardcoded into sandman, sorry
%__install -p -m0755 -D isosetup.sh %buildroot%_libdir/isosetup/%name
%__install -p -m0644 functions %buildroot%_libdir/isosetup/functions
%__install -p -m0644 library/* %buildroot%_libdir/isosetup
%__install -p -m0755 linuxrc %buildroot%_libdir/isosetup

%post
[ "$BTE_INSTALL" = 1 ] && {
	%_libdir/isosetup/%name
} || {
	echo "**PLEASE** DON'T READ THE PACKAGE DESCRIPTION"
	echo "NEXT TIME YOU DECIDE TO DESTROY YOUR SYSTEM!"
	exit 1
}

%files
%_libdir/isosetup

%changelog
* Fri Dec 03 2004 Michael Shigorin <mike@altlinux.ru> 0.2-alt1
- implemented guards against non-BTE (sandman) installation
  (seems conflicts is not enough, this should at least save
  --nodeps'ers for a bit more time) -- thanks raorn@ again

* Fri Apr 23 2004 Michael Shigorin <mike@altlinux.ru> 0.1-alt2
- now conflicts with lilo/grub so as to avoid installation in
  a live system; thanks to Alexey I. Froloff (raorn@) for suggestion!

* Tue Apr 20 2004 Michael Shigorin <mike@altlinux.ru> 0.1-alt1
- split up livecd-0.5-alt1

* Fri Feb 20 2004 Michael Shigorin <mike@altlinux.ru> 0.5-alt1
- 11nodepmod (as it's completely useless there)

* Wed Feb 11 2004 Michael Shigorin <mike@altlinux.ru> 0.4-alt4
- move ipsec funcs to livecd-vpn*

* Tue Feb 10 2004 Michael Shigorin <mike@altlinux.ru> 0.4-alt3.1
- fix fixed-3dsa.key creation

* Tue Feb 10 2004 Michael Shigorin <mike@altlinux.ru> 0.4-alt3
- fix fixed-3dsa.key length

* Tue Feb 10 2004 Michael Shigorin <mike@altlinux.ru> 0.4-alt2
- playing around with ipsec

* Sat Jan 31 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.4-alt1
- revised, adopted for %distribution

* Fri Jan 23 2004 Grigory Milev <week@altlinux.ru> 0.3-alt16
- configure services

* Thu Jan 22 2004 Grigory Milev <week@altlinux.ru> 0.3-alt15
- fix bug #04550

* Thu Jan 22 2004 Grigory Milev <week@altlinux.ru> 0.3-alt14
- minor fixes

* Thu Dec 11 2003 Grigory Milev <week@altlinux.ru> 0.3-alt13
- don't remove apt base

* Mon Dec  8 2003 Grigory Milev <week@altlinux.ru> 0.3-alt12
- remove more unused files for decrese iso size

* Thu Nov 27 2003 Grigory Milev <week@altlinux.ru> 0.3-alt11
- added usb storage move utilities
- added rmmod to initrd

* Wed Nov 26 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.3-alt10
- linuxrc: call nicdetect with "up_active" parameter (for network install)

* Mon Nov 24 2003 Grigory Milev <week@altlinux.ru> 0.3-alt9
- delete unused locales

* Thu Nov 20 2003 Grigory Milev <week@altlinux.ru> 0.3-alt8
- get_needed_file_list.sh fixed

* Thu Nov 20 2003 Grigory Milev <week@altlinux.ru> 0.3-alt7
- fix requires
- fix vendor script

* Fri Nov 14 2003 Grigory Milev <week@altlinux.ru> 0.3-alt6
- start system on vesa fb

* Mon Nov 10 2003 Grigory Milev <week@altlinux.ru> 0.3-alt5
- require dm-mod.o

* Thu Oct 16 2003 Grigory Milev <week@altlinux.ru> 0.3-alt4
- add requires finder for shell scripts

* Wed Sep 17 2003 Grigory Milev <week@altlinux.ru> 0.3-alt3
- add nicdetect to initrd

* Mon Sep 08 2003 Grigory Milev <week@altlinux.ru> 0.3-alt2
- don't run evms on install CD

* Thu Aug 28 2003 Zhenja Kaluta <tren@altlinux.ru> 0.3-alt1
- New pcilist format
- Integration with pcidetect

* Tue Aug 26 2003 Grigory Milev <week@altlinux.ru> 0.2-alt8
- added network install server

* Fri Aug 22 2003 Grigory Milev <week@altlinux.ru> 0.2-alt7
- add network modules loading in initrd

* Wed Aug 20 2003 Grigory Milev <week@altlinux.ru> 0.2-alt6
- off ssh server

* Tue Aug 19 2003 Grigory Milev <week@altlinux.ru> 0.2-alt5
- added uname && basename to initrd
- fix linuxrc script

* Mon Aug 18 2003 Grigory Milev <week@altlinux.ru> 0.2-alt4
- added specific ide detect

* Tue Jul 15 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.2-alt3
- USB CDROM support improved

* Thu Jun 19 2003 Grigory Milev <week@altlinux.ru> 0.2-alt2
- added usb cdrom support

* Mon Jun  9 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 0.2-alt1
- adopted for ALM2.2

* Thu Jun  5 2003 Grigory Milev <week@altlinux.ru> 0.1-14aw
- fix bug with minimal memory needed for install 128Mb, now need only 96Mb

* Thu May 15 2003 Grigory Milev <week@altlinux.ru> 0.1-13aw
- changed kernel package

* Wed Apr 23 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 0.1-12aw
- install from SCSI CDROM finally fixed

* Wed Apr 23 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 0.1-11aw
- more SCSI CD fixes

* Fri Apr 18 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 0.1-10aw
- install from SCSI CD fixed (i hope)

* Wed Mar 12 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.1-9aw
- linuxrc: 3w-xxx removed from the list of scsi modules

* Mon Mar 10 2003 Ed V. Bartosh <ed@sam-solutions.net> 0.1-8aw
- PreReq kernel-smp-%mixin

* Fri Feb 28 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 0.1-7aw
- SMP kernel requirement added

* Wed Feb 19 2003 Grigory Milev <week@altlinux.ru> 0.1-6aw
- rebuild remount path

* Wed Feb  5 2003 Grigory Milev <week@altlinux.ru> 0.1-5aw
- remove requires to rbi

* Fri Dec 20 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.1-4aw
- initrd creation scheme revised

* Mon Dec 16 2002 Grigory Milev <week@altlinux.ru> 0.1-3aw
- Added requires: rbi mingetty

* Mon Dec  9 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.1-2aw
- mixin'isation

* Thu Dec 5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 0.1-1aw
- Initial build.
